% File src/library/base/man/Cstack_info.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{Cstack_info}
\alias{Cstack_info}
\title{Report Information on C Stack Size and Usage}
\description{
  (もし可能ならば)C のスタックサイズと使用量の情報を報告する．
}
\usage{
Cstack_info()
}
\details{
  殆どのプラットフォームでは C のスタック情報は ￥R が初期化されるとき記録され
  スタックのチェックに使われる．もしこの情報が利用できない時は
  \code{size} は \code{NA} を返し，スタックのチェックは行われない．

  スタックの基礎アドレスに関する情報は Windows, Linux, OS X そして FreeBSD では
  正確と考えられるが，他のプラットフォームでは発見法的なものが使われる．
  これは少々不正確かもしれず，現在の使用量は負と推定されるかもしれない．
   (この発見法は，スタックのベースが正確とは考えられていないプラットフォームでは
   \R の埋め込み使用では使われない．)

  \sQuote{evaluation depth} は現在評価中の入れ子の \R 表現式の数である．
  これは \code{\link{options}("expressions")} で制御される限界を持つ．
}
\value{
  整数ベクトル．これは以下のような名前付き要素を持つ
  \item{size}{(バイト単位の)スタック数，またはそれが不明なら \code{NA}．}
  \item{current}{(バイト単位の)推測される現在の使用量．\code{NA} かもしれない．}
  \item{direction}{\code{1} (スタックは減少している，普通のケース) または 
    \code{-1} (スタックは増加している).}
  \item{eval_depth}{現在の評価深度(\code{Cstack_info}) 呼び出しのための二つを含む．}
}
\examples{\donttest{
Cstack_info()
}}
\keyword{ utilities }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/Cstack_info.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Cstack_info}
%\alias{Cstack_info}
%\title{Report Information on C Stack Size and Usage}
%\description{
%  Report information on the C stack size and usage (if available).
%}
%\usage{
%Cstack_info()
%}
%\details{
%  On most platforms, C stack information is recorded when \R is
%  initialized and used for stack-checking.  If this information is
%  unavailable, the \code{size} will be returned as \code{NA}, and
%  stack-checking is not performed.
%
%  The information on the stack base address is thought to be accurate on
%  Windows, Linux, OS X and FreeBSD but a heuristic is used on other
%  platforms.  Because this might be slightly inaccurate, the current
%  usage could be estimated as negative.  (The heuristic is not used on
%  embedded uses of \R on platforms where the stack base is not thought
%  to be accurate.)
%
%  The \sQuote{evaluation depth} is the number of nested \R expressions
%  currently under evaluation: this has a limit controlled by
%  \code{\link{options}("expressions")}.
%}
%\value{
%  An integer vector.  This has named elements
%  \item{size}{The size of the stack (in bytes), or \code{NA} if unknown.}
%  \item{current}{The estimated current usage (in bytes), possibly \code{NA}.}
%  \item{direction}{\code{1} (stack grows down, the usual case) or
%    \code{-1} (stack grows up).}
%  \item{eval_depth}{The current evaluation depth (including two calls
%    for the call to \code{Cstack_info}).}
%}
%\examples{\donttest{
%Cstack_info()
%}}
%\keyword{ utilities }
%
%
\encoding{UTF8}
