% File src/library/base/man/conflicts.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{conflicts}
\title{Search for Masked Objects on the Search Path}
\usage{
conflicts(where = search(), detail = FALSE)
}
\alias{conflicts}
\arguments{
 \item{where}{検索パスの一部，既定ではすべての検索パス．}
 \item{detail}{もし \code{TRUE} なら検索パスのすべてのメンバーに対する
   マスクされた，もしくはマスクする関数を与える．}
}
\description{
    \code{conflicts} は検索パス上の二つ以上の場所にある同名のオブジェクトを報告する．
    これは普通ユーザの作業空間かパッケージ中のオブジェクトが同名の
    システムオブジェクトをマスクしているからである．
    これは意図しないマスキングを見つけるのに役立つ．
}
\value{
    もし \code{detail = FALSE} ならばマスクされたオブジェクトの文字列．
    もし \code{detail = TRUE} ならば検索パスのそのメンバー中の
    マスクされた，もしくはマスクするオブジェクトを与える文字列のリスト．
    空のベクトルは無視される．
}
\examples{
lm <- 1:3
conflicts(, TRUE)
## $.GlobalEnv のようなものを与える
# [1] "lm"
#
# $package:base
# [1] "lm"

## 自分の "作業空間" から他をマスクするものを取り除く：
remove(list = conflicts(detail = TRUE)$.GlobalEnv)
}
\keyword{utilities}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/conflicts.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{conflicts}
%\title{Search for Masked Objects on the Search Path}
%\usage{
%conflicts(where = search(), detail = FALSE)
%}
%\alias{conflicts}
%\arguments{
% \item{where}{A subset of the search path, by default the whole search path.}
% \item{detail}{If \code{TRUE}, give the masked or masking functions for
%   all members of the search path.}
%}
%\description{
%    \code{conflicts} reports on objects that exist with the same name in
%    two or more places on the \code{\link{search}} path, usually because
%    an object in the user's workspace or a package is masking a system
%    object of the same name.  This helps discover unintentional masking.
%}
%\value{
%    If \code{detail = FALSE}, a character vector of masked objects.
%    If \code{detail = TRUE}, a list of character vectors giving the masked or
%    masking objects in that member of the search path.  Empty vectors are
%    omitted.
%}
%\examples{
%lm <- 1:3
%conflicts(, TRUE)
%## gives something like
%# $.GlobalEnv
%# [1] "lm"
%#
%# $package:base
%# [1] "lm"
%
%## Remove things from your "workspace" that mask others:
%remove(list = conflicts(detail = TRUE)$.GlobalEnv)
%}
%\keyword{utilities}
%
\encoding{UTF8}
