% File src/library/base/man/curlVersion.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2015 R Core Team
% Distributed under GPL 2 or later

\name{libcurlVersion}
%%\alias{libcurlVersion}
\title{
  Report Version of libcurl
}
\description{
  使用中の \code{libcurl} のバージョンを報告する．
}
\usage{
libcurlVersion()
}
\value{
  文字列で，使用中の \code{libcurl} のバージョンを値に持つ．
  もしそれがなければ \code{""}．もし \code{libcurl} が利用可能なら
  以下の属性を持つ

  \item{ssl_version}{SSL の実装とバージョンの名前である文字列で，
    \code{"none"} かもしれない．使用されている OpenSSL のバージョン
    を意図しているが，\code{libcurl} のすべての実装が
    OpenSSL を使っているわけではない --- 例えば OS X は
    その SSL/TLS に対するラッパである \code{"SecureTranspart"} を返す．}

  \item{libssh_version}{\code{libssh} のバージョンの名前である文字列で，
    利用できるかもしれないしできないかもしれない(これは
    例えば \code{scp} と \code{sftp} プロトコルに使われる)．もし存在すれば
    \code{"libssh2/1.5.0"} のようなものになる．}

  \item{protocols}{サポートされるプロトコルの名前の文字列ベクトルで，
    URL の一部であるときは\sQuote{スキーム}としても知られている．}
}
\seealso{
  他のサードパーティ作のソフトウェアのバージョンは \code{\link{extSoftVersion}}．

  \code{libcurl} を(オプションとして)使う関数については
  \code{\link{curlGetHeaders}}, \code{\link{download.file}} そして
  \code{\link{url}}．

  SSL のバージョンに関するより詳細は \url{http://curl.haxx.se/docs/sslcerts.html} と
  \url{http://curl.haxx.se/docs/ssl-compared.html}．
  普通 \R で使われる \code{libcurl} は OS X では SecureTransport，
  Windows では OpenSSL，そして Unix 風システムでは GnuTLS, NSS
  又は OpenSSL である．(執筆時には Debian ベースの Linux システムは 
  GnuTLSを，RedHat ベーズのそれは NSS を使う．)
}
\examples{
libcurlVersion()
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/curlVersion.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{libcurlVersion}
%\alias{libcurlVersion}
%\title{
%  Report Version of libcurl
%}
%\description{
%  Report version of \code{libcurl} in use.
%}
%\usage{
%libcurlVersion()
%}
%\value{
%  A character string, with value the \code{libcurl} version in use or
%  \code{""} if none is.  If \code{libcurl} is available, has attributes
%
%  \item{ssl_version}{A character string naming the SSL implementation
%    and version, possibly \code{"none"}.  It is intended for the version
%    of OpenSSL used, but not all implementations of \code{libcurl} use
%    OpenSSL --- for example OS X reports \code{"SecureTranspart"}, its
%    wrapper for SSL/TLS.}
%
%  \item{libssh_version}{A character string naming the \code{libssh} version,
%    which may or may not be available (it is used for
%    e.g.\sspace{}\code{scp} and \code{sftp} protocols). Where present,
%    something like \code{"libssh2/1.5.0"}.}
%
%  \item{protocols}{A character vector of the names of supported
%    protocols, also known as \sQuote{schemes} when part of a URL.}
%}
%\seealso{
%  \code{\link{extSoftVersion}} for versions of other third-party
%  software.
%
%  \code{\link{curlGetHeaders}}, \code{\link{download.file}} and
%  \code{\link{url}} for functions which (optionally) use \code{libcurl}.
%
%  \url{http://curl.haxx.se/docs/sslcerts.html} and
%  \url{http://curl.haxx.se/docs/ssl-compared.html} for more details on
%  SSL versions.  Normally \code{libcurl} used with \R uses
%  SecureTransport on OS X, OpenSSL on Windows and GnuTLS, NSS or OpenSSL
%  on Unix-alikes.  (At the time of writing Debian-based Linuxen use
%  GnuTLS, RedHat-based ones use NSS.)
%}
%\examples{
%libcurlVersion()
%}
%
\encoding{UTF8}
