% File src/library/base/man/extSoftVersion.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2014-2015 R Core Team
% Distributed under GPL 2 or later

\name{extSoftVersion}
\alias{extSoftVersion}
\title{
  Report Versions of Third-Party Software
}
\description{
  使われている(外部)サードパーティーのソフトウェアのバージョンを報告する．
}
\usage{
extSoftVersion()
}
\details{
  市揚州のサードパーティのソフトウェアのレポート．
  これらはしばしば外部的であるがインストール時に \R に組み込まれる可能性もある．

  ダイナミックなリンクでは，これらは今のセッションにリンクされたライブラリの
  バージョンである：静的なリンクではコンパイル時に組み込まれたそれである．
}
\value{
  名前付き文字列ベクトルで現在次の成分を持つ
  \item{zlib}{使用中の \code{zlib} のバージョン．}
  \item{bzlib}{使用中の \code{bzlib} (\command{bzip2} から)のバージョン．}
  \item{xz}{使用中の \code{liblzma} (\command{xz} から)のバージョン．}
  \item{PCRE}{使用中の \code{PCRE} のバージョン．}
  \item{ICU}{使用中の \code{ICU} のバージョン(もしあれば，さもなければ \code{""})．}
  \item{TRE}{使用中の \code{libtre} のバージョン．}
  \item{iconv}{使用中の \code{iconv} の実装とバージョン(もしわかれば)．}

  \code{bzlib} と \code{pcre} に対する値は通常バージョンと並んで日付
  を含み，\code{tre} のそれは空白で分離された幾つかの項目を含み，
  バージョン番号は二番目である．

  \code{iconv} に対してはこれはバージョンと並んで実装を与える．
  例えば \code{"GNU libiconv 1.14"}, \code{"glibc 2.18"} 又は
   \code{"win_iconv"} (バージョン番号はない)．
}
\seealso{
  \code{libCurl} のバージョンは \code{\link{libcurlVersion}}．
  
  使用中の LAPACK のバージョンは \code{\link{La_version}}．

  サードパーティのグラフィックスソフトウェアについては \code{\link{grSoftVersion}}．

  Tcl/Tk のバージョンについては \code{\link{tclVersion}}．
  
  PCRE のコンフィギュレーションのオプションについては \code{\link{pcre_config}}．
}
\examples{
extSoftVersion()
## PCRE のバージョン
sub(" .*", "", extSoftVersion()["PCRE"])
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/extSoftVersion.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2014-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{extSoftVersion}
%\alias{extSoftVersion}
%\title{
%  Report Versions of Third-Party Software
%}
%\description{
%  Report versions of (external) third-party software used.
%}
%\usage{
%extSoftVersion()
%}
%\details{
%  The reports the versions of third-party software libraries in use.
%  These are often external but might have been compiled into \R when it
%  was installed.
%
%  With dynamic linking, these are the versions of the libraries linked
%  to in this session: with static linking, of those compiled in.
%}
%\value{
%  A named character vector, currently with components
%  \item{zlib}{The version of \code{zlib} in use.}
%  \item{bzlib}{The version of \code{bzlib} (from \command{bzip2}) in use.}
%  \item{xz}{The version of \code{liblzma} (from \command{xz}) in use.}
%  \item{PCRE}{The version of \code{PCRE} in use.}
%  \item{ICU}{The version of \code{ICU} in use (if any, otherwise \code{""}).}
%  \item{TRE}{The version of \code{libtre} in use.}
%  \item{iconv}{The implementation and version of the \code{iconv}
%  library in use (if known).}
%
%  Note that the values for \code{bzlib} and \code{pcre} normally contain
%  a date as well as the version number, and that for \code{tre} includes
%  several items separated by spaces, the version number being the
%  second.
%
%  For \code{iconv} this will give the implementation as well as the
%  version, for example \code{"GNU libiconv 1.14"}, \code{"glibc
%  2.18"} or \code{"win_iconv"} (which has no version number).
%}
%\seealso{
%  \code{\link{libcurlVersion}} for the version of \code{libCurl}.
%  
%  \code{\link{La_version}} for the version of LAPACK in use.
%
%  \code{\link{grSoftVersion}} for third-party graphics software.
%
%  \code{\link{tclVersion}} for the version of Tcl/Tk.
%  
%  \code{\link{pcre_config}} for PCRE configuration options.
%}
%\examples{
%extSoftVersion()
%## the PCRE version
%sub(" .*", "", extSoftVersion()["PCRE"])
%}
%
\encoding{UTF8}
