% File src/library/base/man/path.expand.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{path.expand}
\alias{path.expand}
\alias{tilde expansion}
\title{Expand File Paths}
\description{
  例えば先頭のチルドをユーザのホームディレクトリに置き換えて
  (もしそのプラットフォームで定義されていれば)パス名を展開する．
}
\usage{
path.expand(path)
}
\arguments{
  \item{path}{一つもしくは複数のパス名を含むベクトル．}
}
#ifdef unix
\details{
  \R のある種の Unix 構築では先頭の \code{~user} は
  \code{user} のホームディレクトリに展開されるが，
  \code{readline} がインストールされていない Unix バージョンでは
  そうはならない．\R がオプション \option{--no-readline} 付きで
  起動された時も同じである．

  対話的なセッションででは \code{capabilities("cledit")} は
  \code{readline} が利用可能かどうか報告する．
}
#endif
#ifdef windows
\details{
  \sQuote{ホーム}ディレクトリの定義は \file{rw-FAQ} Q2.14 に
  ある：これは \code{path.expand} がセッション中で最初に
  呼びだされた時環境変数 \env{R_USER} から取られる．
}
#endif
\seealso{
  \code{\link{basename}}, \code{\link{normalizePath}}.
}
\examples{
path.expand("~/foo")
}
\keyword{file}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/path.expand.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{path.expand}
%\alias{path.expand}
%\alias{tilde expansion}
%\title{Expand File Paths}
%\description{
%  例えば先頭のチルドをユーザのホームディレクトリに置き換えて
%  (もしそのプラットフォームで定義されていれば)パス名を展開する．
%}
%\usage{
%path.expand(path)
%}
%\arguments{
%  \item{path}{一つもしくは複数のパス名を含むベクトル．}
%}
%#ifdef unix
%\details{
%  \R のある種の Unix 構築では先頭の \code{~user} は
%  \code{user} のホームディレクトリに展開されるが，
%  \code{readline} がインストールされていない Unix バージョンでは
%  そうはならない．\R がオプション \option{--no-readline} 付きで
%  起動された時も同じである．
%
%  対話的なセッションででは \code{capabilities("cledit")} は
%  \code{readline} が利用可能かどうか報告する．
%}
%#endif
%#ifdef windows
%\details{
%  \sQuote{ホーム}ディレクトリの定義は \file{rw-FAQ} Q2.14 に
%  ある：これは \code{path.expand} がセッション中で最初に
%  呼びだされた時環境変数 \env{R_USER} から取られる．
%}
%#endif
%\seealso{
%  \code{\link{basename}}, \code{\link{normalizePath}}.
%}
%\examples{
%path.expand("~/foo")
%}
%\keyword{file}
%
\encoding{UTF8}
