% File src/library/base/man/slice.index.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{slice.index}
\alias{slice.index}
\title{Slice Indexes in an Array}
\description{
  与えられた配列中のそれらのスライスの数を指示する整数行列を返す．
}
\usage{
slice.index(x, MARGIN)
}
\arguments{
  \item{x}{配列．もし \code{x} が次元属性を持たなければ一次元の配列と見做される．}
  \item{MARGIN}{そこでスライスされる次元番号を与える整数．}
}
\value{
  \code{x} のそれらに対応する次元を持つ整数配列 \code{y} で，
  次元 \code{MARGIN} に関するスライス番号 \code{i} の全ての要素は
  値 \code{i} を持つ．
}
\seealso{
  行と列添字を決定するには \code{\link{row}} と \code{\link{col}}；
  実際，これらは \code{x} が行列なら \code{MARGIN} が 1 と 2 に対応する
  \code{slice.index} の特殊例と考えることが出来る．
}
\examples{
x <- array(1 : 24, c(2, 3, 4))
slice.index(x, 2)
}
\keyword{array}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/slice.index.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{slice.index}
%\alias{slice.index}
%\title{Slice Indexes in an Array}
%\description{
%  Returns a matrix of integers indicating the number of their slice in a
%  given array.
%}
%\usage{
%slice.index(x, MARGIN)
%}
%\arguments{
%  \item{x}{an array.  If \code{x} has no dimension attribute, it is
%    considered a one-dimensional array.}
%  \item{MARGIN}{an integer giving the dimension number to slice by.}
%}
%\value{
%  An integer array \code{y} with dimensions corresponding to those of
%  \code{x} such that all elements of slice number \code{i} with respect
%  to dimension \code{MARGIN} have value \code{i}.
%}
%\seealso{
%  \code{\link{row}} and \code{\link{col}} for determining row and column
%  indexes; in fact, these are special cases of \code{slice.index}
%  corresponding to \code{MARGIN} equal to 1 and 2, respectively when \code{x}
%  is a matrix.
%}
%\examples{
%x <- array(1 : 24, c(2, 3, 4))
%slice.index(x, 2)
%}
%\keyword{array}
%
\encoding{UTF8}
