\name{trimws}
\alias{trimws}
\title{Remove Leading/Trailing Whitespace}
\description{
   文字列から先頭又は末尾にある空白を取り除く．
}
\usage{
trimws(x, which = c("both", "left", "right"))
}
\arguments{
  \item{x}{文字列ベクトル．}
  \item{which}{先頭と末尾双方(既定)の空白を取り除くか，
    又は先頭だけ(\code{"left"}) か末尾だけ(\code{"right"})かを指示する文字列．
    短縮できる．}
}
\details{
  可搬性のために\sQuote{空白}とは文字クラス
  \code{[ \\t\\r\\n]} (スペース，水平タブ，行送り，キャリッジリターン)
  とされる．
}
\examples{
x <- "  Some text. "
x
trimws(x)
trimws(x, "l")
trimws(x, "r")
}
\keyword{character}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\name{trimws}
%\alias{trimws}
%\title{Remove Leading/Trailing Whitespace}
%\description{
%  Remove leading and/or trailing whitespace from character strings.
%}
%\usage{
%trimws(x, which = c("both", "left", "right"))
%}
%\arguments{
%  \item{x}{a character vector}
%  \item{which}{a character string specifying whether to remove both
%    leading and trailing whitespace (default), or only leading
%    (\code{"left"}) or trailing (\code{"right"}).  Can be abbreviated.}
%}
%\details{
%  For portability, \sQuote{whitespace} is taken as the character class
%  \code{[ \\t\\r\\n]} (space, horizontal tab, line feed, carriage return).
%}
%\examples{
%x <- "  Some text. "
%x
%trimws(x)
%trimws(x, "l")
%trimws(x, "r")
%}
%\keyword{character}
%\encoding{UTF8}

\encoding{UTF8}

