% File src/library/grDevices/man/dev.capture.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2011 R Core Team
% Distributed under GPL 2 or later

\name{dev.capture}
\title{デバイス出力をラスタ―イメージに捕捉}
\alias{dev.capture}
%%\title{
%%  Capture device output as a raster image.
%%}
\description{
  \code{dev.capture} はグラフィックスデバイスの現在の内容を
  ラスタ―(ビットマップ)イメージに捕捉する．
}
\usage{
dev.capture(native = FALSE)
}
\arguments{
  \item{native}{論理値．もし \code{FALSE} ならば結果は
    \R の色名の配列であり，もし \code{TRUE} なら出力は
    プロットに対してより効率的であるが可搬性が無い
    \code{nativeRaster} オブジェクトになる．}
}
\details{
  全てのデバイスがラスタ―ビットマップとしての出力の捕捉を
  サポートするわけではない．
  典型的にはイメージベースのデバイスだけであり，
  しかも全てではない．
}
\value{
  デバイスが捕捉をサポートしていなければ \code{NULL} で，
  さもなければ色名の行列
  (\code{native = FALSE}) 又は
  \code{nativeRaster} オブジェクト (\code{native = TRUE} に対して)．
}
\keyword{ dplot }

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/dev.capture.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{dev.capture}
%\alias{dev.capture}
%\title{
%  Capture device output as a raster image
%}
%\description{
%  \code{dev.capture} captures the current contents of a graphics device
%  as a raster (bitmap) image.
%}
%\usage{
%dev.capture(native = FALSE)
%}
%\arguments{
%  \item{native}{Logical. If \code{FALSE} the result is a matrix of R
%    color names, if \code{TRUE} the output is returned as a
%    \code{nativeRaster} object which is more efficient for plotting, but
%    not portable.}
%}
%\details{
%  Not all devices support capture of the output as raster bitmaps.
%  Typically, only image-based devices do and even not all of them.
%}
%\value{
%  \code{NULL} if the device does not support capture, otherwise a
%  matrix of color names (for \code{native = FALSE}) or a
%  \code{nativeRaster} object (for \code{native = TRUE}).
%}
%\keyword{ dplot }
%
%\encoding{UTF-8}
%
