% File src/library/graphics/man/boxplot.matrix.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2008-2014 R Core Team
% Distributed under GPL 2 or later

\name{boxplot.matrix}
\alias{boxplot.matrix}
\title{Draw a Boxplot for each Column (Row) of a Matrix}
\description{
  行列の列(又は行)を異なったグループと解釈して，各々の箱型図を描く．
}
\usage{
\method{boxplot}{matrix}(x, use.cols = TRUE, \dots)
}
\arguments{
  \item{x}{数値行列．}
  \item{use.cols}{列(既定値)か行(\code{use.cols = FALSE})をプロットすべきかどうかを
    指示する論理値．}
  \item{\dots}{\code{\link{boxplot}} への追加の引数．}
}
\value{
  \code{\link{boxplot}} に対するようなリスト．
}
\author{Splus に対しては Martin Maechler, 1995，それから \R パッケージ \CRANpkg{sfsmisc}．}
\seealso{今ではデータフレームを扱える \code{\link{boxplot.default}}；
  (より一般的な概念の)グルーピング因子が使える \code{\link{boxplot.formula}},
  \code{\link{plot.factor}}．
}
\examples{
## ?boxplot 中の例に非常によく似ている
mat <- cbind(Uni05 = (1:100)/21, Norm = rnorm(100),
             T5 = rt(100, df = 5), Gam2 = rgamma(100, shape = 2))
boxplot(mat, main = "boxplot.matrix(...., main = ...)",
        notch = TRUE, col = 1:4)
}
\keyword{hplot}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/graphics/man/boxplot.matrix.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2008-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{boxplot.matrix}
%\alias{boxplot.matrix}
%\title{Draw a Boxplot for each Column (Row) of a Matrix}
%\description{
%  Interpreting the columns (or rows) of a matrix as different groups, draw a
%  boxplot for each.
%}
%\usage{
%\method{boxplot}{matrix}(x, use.cols = TRUE, \dots)
%}
%\arguments{
%  \item{x}{a numeric matrix.}
%  \item{use.cols}{logical indicating if columns (by default) or rows
%    (\code{use.cols = FALSE}) should be plotted.}
%  \item{\dots}{Further arguments to \code{\link{boxplot}}.}
%}
%\value{
%  A list as for \code{\link{boxplot}}.
%}
%\author{Martin Maechler, 1995, for S+, then \R package \CRANpkg{sfsmisc}.}
%\seealso{\code{\link{boxplot.default}} which already works nowadays with
%  data.frames; \code{\link{boxplot.formula}}, \code{\link{plot.factor}} which
%  work with (the more general concept) of a grouping factor.
%}
%\examples{
%## Very similar to the example in ?boxplot
%mat <- cbind(Uni05 = (1:100)/21, Norm = rnorm(100),
%             T5 = rt(100, df = 5), Gam2 = rgamma(100, shape = 2))
%boxplot(mat, main = "boxplot.matrix(...., main = ...)",
%        notch = TRUE, col = 1:4)
%}
%\keyword{hplot}
%
\encoding{UTF8}
