% File src/library/grid/man/gEdit.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{gEdit}
%@%\alias{Edit オブジェクト}
\alias{gEdit}
\alias{gEditList}
\alias{applyEdit}
\alias{applyEdits}
\title{Edit オブジェクトを作り適用する}
%\title{ Create and Apply Edit Objects }
\description{
  関数 \code{gEdit} と \code{gEditList} は
  編集操作を表現するオブジェクトを作る
  (本質的に
  \code{editGrob} への引数のリスト)．

  関数 \code{applyEdit} と \code{applyEdits} は
  一つまたはそれ以上のグラフィカルオブジェクトへの
  編集操作．

  これらの関数は新しい関数とオブジェクトを
  作る開発者に対して最も有用である．
}
\usage{
gEdit(...)
gEditList(...)
applyEdit(x, edit)
applyEdits(x, edits)
}
\arguments{
  \item{\dots}{
    \code{editGrob} 関数への一つまたはそれ以上の引数
    (\code{gEdit} に対する)または一つまたはそれ以上の
    \code{"gEdit"} オブジェクト(\code{gEditList} に対する)．}
  \item{x}{grob (グリッドのグラフィカルオブジェクト)．}
  \item{edit}{\code{"gEdit"} オブジェクト．}
  \item{edits}{
    \code{"gEdit"} オブジェクトか
    \code{"gEditList"} オブジェクト．}
}
\value{
  \code{gEdit} はクラス \code{"gEdit"} のオブジェクトを返す．

  \code{gEditList} はクラス
  \code{"gEditList"} のオブジェクトを返す．

  \code{applyEdit} と \code{applyEditList} は
  修正された grob を返す．
}
\author{ Paul Murrell }
\seealso{
  \code{\link{grob}},
  \code{\link{editGrob}}
}
\examples{
grid.rect(gp=gpar(col="red"))
# 同じこと，しかしより饒舌
grid.draw(applyEdit(rectGrob(), gEdit(gp=gpar(col="red"))))
}
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/gEdit.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{gEdit}
%\alias{gEdit}
%\alias{gEditList}
%\alias{applyEdit}
%\alias{applyEdits}
%\title{ Create and Apply Edit Objects }
%\description{
%  The functions \code{gEdit} and \code{gEditList} create
%  objects representing an edit operation (essentially a list
%  of arguments to \code{editGrob}).
%
%  The functions \code{applyEdit} and \code{applyEdits} apply
%  one or more edit operations to a graphical object.
%
%  These functions are most useful for developers creating new
%  graphical functions and objects.
%}
%\usage{
%gEdit(...)
%gEditList(...)
%applyEdit(x, edit)
%applyEdits(x, edits)
%}
%\arguments{
%  \item{\dots}{ one or more arguments to the \code{editGrob} function
%    (for \code{gEdit}) or one or more \code{"gEdit"} objects
%    (for \code{gEditList}).}
%  \item{x}{ a grob (grid graphical object).}
%  \item{edit}{ a \code{"gEdit"} object.}
%  \item{edits}{ either a \code{"gEdit"} object or a \code{"gEditList"}
%    object.}
%}
%\value{
%  \code{gEdit} returns an object of class \code{"gEdit"}.
%
%  \code{gEditList} returns an object of class \code{"gEditList"}.
%
%  \code{applyEdit} and \code{applyEditList} return the modified grob.
%}
%\author{ Paul Murrell }
%\seealso{
%  \code{\link{grob}}
%  \code{\link{editGrob}}
%}
%\examples{
%grid.rect(gp=gpar(col="red"))
%# same thing, but more verbose
%grid.draw(applyEdit(rectGrob(), gEdit(gp=gpar(col="red"))))
%}
%\keyword{ dplot }
%
%\encoding{UTF8}
%