% File src/library/grid/man/grid-package.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid-package}
%@%\alias{grid-package}
\alias{grid-package}
\docType{package}
\title{グリッドグラフィックスパッケージ}
%\title{The Grid Graphics Package}
\description{
  グラフィックスのレイアウトの書き換えと，
  幾つかの対話的操作のサポート．
}
\details{
このパッケージは
S スタイルのグラフィックスを増補するグラフィックスシステムを含む
(\pkg{graphics} パッケージを見よ)．

更なる情報は以下のビニエット中で得られる：
\tabular{ll}{
\code{grid} \tab \code{grid} への入門 (\url{../doc/grid.pdf})\cr
\code{displaylist} \tab \code{grid} 中のディスプレイリスト (\url{../doc/displaylist.pdf})\cr
\code{frame} \tab フレームとパッキング grob (\url{../doc/frame.pdf})\cr
\code{grobs} \tab \code{grid} grob を使った作業 (\url{../doc/grobs.pdf})\cr
\code{interactive} \tab \code{grid} グラフィックスの編集 (\url{../doc/interactive.pdf})\cr
\code{locndimn} \tab 位置と次元 (\url{../doc/locndimn.pdf})\cr
\code{moveline} \tab move-to と line-to のデモ (\url{../doc/moveline.pdf})\cr
\code{nonfinite} \tab \code{grid} が有限でない値にどのように対応するか (\url{../doc/nonfinite.pdf})\cr
\code{plotexample} \tab \code{grid} コードを書く (\url{../doc/plotexample.pdf})\cr
\code{rotated} \tab 回転されたビューポート (\url{../doc/rotated.pdf})\cr
\code{saveload} \tab 持続性のある表現 (\url{../doc/saveload.pdf})\cr
\code{sharing} \tab 複数の grob を同時に修正する (\url{../doc/sharing.pdf})\cr
\code{viewports} \tab \code{grid} ビューポートを使った作業 (\url{../doc/viewports.pdf})\cr
}

個々のヘルプページ付きの関数の完全なリストには
\code{library(help="grid")} を使う．
}
\author{

Paul Murrell \email{paul@stat.auckland.ac.nz}

Maintainer: R Core Team \email{R-core@r-project.org}

}
\references{
  Murrell, P. (2005) \emph{R Graphics}. Chapman & Hall/CRC Press.
}
\keyword{package}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid-package.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid-package}
%\alias{grid-package}
%\docType{package}
%\title{
%  The Grid Graphics Package
%}
%\description{
%  A rewrite of the graphics layout capabilities, plus some
%  support for interaction.
%}
%\details{
%This package contains a graphics system which supplements
%S-style graphics (see the \pkg{graphics} package).
%
%Further information is available in the following
%\link{vignettes}:
%\tabular{ll}{
%\code{grid} \tab Introduction to \code{grid} (\url{../doc/grid.pdf})\cr
%\code{displaylist} \tab Display Lists in \code{grid} (\url{../doc/displaylist.pdf})\cr
%\code{frame} \tab Frames and packing grobs (\url{../doc/frame.pdf})\cr
%\code{grobs} \tab Working with \code{grid} grobs (\url{../doc/grobs.pdf})\cr
%\code{interactive} \tab Editing \code{grid} Graphics (\url{../doc/interactive.pdf})\cr
%\code{locndimn} \tab Locations versus Dimensions (\url{../doc/locndimn.pdf})\cr
%\code{moveline} \tab Demonstrating move-to and line-to (\url{../doc/moveline.pdf})\cr
%\code{nonfinite} \tab How \code{grid} responds to non-finite values (\url{../doc/nonfinite.pdf})\cr
%\code{plotexample} \tab Writing \code{grid} Code (\url{../doc/plotexample.pdf})\cr
%\code{rotated} \tab Rotated Viewports (\url{../doc/rotated.pdf})\cr
%\code{saveload} \tab Persistent representations (\url{../doc/saveload.pdf})\cr
%\code{sharing} \tab Modifying multiple grobs simultaneously (\url{../doc/sharing.pdf})\cr
%\code{viewports} \tab Working with \code{grid} viewports (\url{../doc/viewports.pdf})\cr
%}
%
%For a complete list of functions with individual help pages,
%use \code{library(help="grid")}.
%}
%\author{
%
%Paul Murrell \email{paul@stat.auckland.ac.nz}
%
%Maintainer: R Core Team \email{R-core@r-project.org}
%
%}
%\references{
%  Murrell, P. (2005) \emph{R Graphics}. Chapman & Hall/CRC Press.
%}
%\keyword{package}
%
%\encoding{UTF8}
%