% File src/library/grid/man/grid.display.list.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.display.list}
%@%\alias{grid.display.list}
\alias{grid.display.list}
\alias{engine.display.list}
\title{グリッドのディスプレイリストを制御する}
%\title{Control the Grid Display List}
\description{
  グリッドのディスプレイリストをオン・オフする
}
\usage{
grid.display.list(on=TRUE)
engine.display.list(on=TRUE)
}
\arguments{
  \item{on}{
    グリッドのディスプレイリストをオン・オフすべきかを
    指示する論理値．}
}
\details{
  描画とビューポート設定の操作は
  (既定では)グリッドのディスプレイリスト中に記録される．
  これは編集操作に続いて再描画を行うことを許す．

  このディスプレイリストは非常に大きくなる可能性があり，
  ある場合にはそれをオフにすることが有用になり得る．

  全てのグラフィックス出力も又
  R のグラフィックスエンジンのメインのディスプレイリストに
  記録される(既定で)．
  これはデバイスのサイズ変更に続く再描画をサポートし
  デバイス間のコピーを可能にする．

  このディスプレイをオフにすることはデバイスのサイズ変更とコピーに
  対してグリッドがそれ自体のディスプレイリストから再描画することを
  意味する．これはグラフィックスエンジンのディスプレイリストを
  使うよりも遅くなる．
}
\value{
  無い．
}
\author{Paul Murrell}

\section{警告}{
  ディスプレイリストをオンにすることは
  ディスプレイリストの消去を惹き起こす!

  ディスプレイリストと
  グラフィックスエンジンリストを共にをオフにすると
  再描画が一切行われない結果になる．
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.display.list.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.display.list}
%\alias{grid.display.list}
%\alias{engine.display.list}
%\title{Control the Grid Display List}
%\description{
%  Turn the Grid display list on or off.
%}
%\usage{
%grid.display.list(on=TRUE)
%engine.display.list(on=TRUE)
%}
%\arguments{
%  \item{on}{A logical value to indicate whether the display list
%    should be on or off.}
%}
%\details{
%  All drawing and viewport-setting operations are (by default)
%  recorded in the Grid display list.  This allows redrawing
%  to occur following an editing operation.
%
%  This display list could get very large so it may be useful to
%  turn it off in some cases;  this will of course disable redrawing.
%
%  All graphics output is also recorded on the main display list
%  of the R graphics engine (by default).  This supports redrawing
%  following a device resize and allows copying between devices.
%
%  Turning off this display list means that grid will redraw from its
%  own display list for device resizes and copies.  This will be slower
%  than using the graphics engine display list.
%}
%\value{
%  None.
%}
%\author{Paul Murrell}
%
%\section{WARNING}{
%  Turning the display list on causes the display list to be erased!
%
%  Turning off both the grid display list and the graphics engine
%  display list will result in no redrawing whatsoever.
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%