% File src/library/grid/man/grid.draw.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.draw}
%@%\alias{grob を描画する}
\alias{grid.draw}
\title{グリッドの grob を描画する}
%\title{Draw a grid grob}
\description{
  グラフィカルオブジェクトからグラフィカルな出力を作る．
}
\usage{
grid.draw(x, recording=TRUE)
}
\arguments{
  \item{x}{
    クラス \code{"grob"} のオブジェクトか NULL．}
  \item{recording}{
    描画操作をグリッドのディスプレイリストに
    記録すべきかどうかを指示する論理値．}
}
\details{
  これは grob と gTree オブジェクトに対するメソッドを持つ
  総称的関数関数である．

  grob と gTree メソッドは自動的に任意のビューポートを
  \code{vp} スロットにプッシュし，そして自動的に
  \code{gp} 中の任意の \code{gpar} 設定を適用する．
  加えて gTree メソッドは
  \code{childrenvp} スロット中の任意のビューポート
  をプッシュしアップし，
  そして \code{children} スロット中の任意の grob に対して
  \code{grid.draw} を自動的に呼び出す．

  grob と gTree に対するメソッドは総称的なフック関数
  \code{preDrawDetails}, \code{drawDetails} そして \code{postDrawDetails}
  を呼び出し，grob や gTree から導かれたクラスが
  追加のビューポートのプッシュ/ポップの実行や
  grobs と gTrees に対する既定動作を超える追加出力を
  生成することを許す.
}
\value{
  無い．
}
\author{Paul Murrell}
\seealso{
  \code{\link{grob}}.
}

\examples{
grid.newpage()
## グラフィカルオブジェクトを作るが，しかし描画しない
l <- linesGrob()
## それを描画する
grid.draw(l)
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.draw.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.draw}
%\alias{grid.draw}
%\title{Draw a grid grob}
%\description{
%  Produces graphical output from a graphical object.
%}
%\usage{
%grid.draw(x, recording=TRUE)
%}
%\arguments{
%  \item{x}{An object of class \code{"grob"} or NULL.}
%  \item{recording}{A logical value to indicate whether the drawing
%    operation should be recorded on the Grid display list.}
%}
%\details{
%  This is a generic function with methods for grob and gTree objects.
%
%  The grob and gTree methods automatically push any viewports in a
%  \code{vp} slot and automatically apply any \code{gpar} settings
%  in a \code{gp} slot.  In addition, the gTree method pushes and
%  ups any viewports in a \code{childrenvp} slot and automatically
%  calls \code{grid.draw} for any grobs in a \code{children} slot.
%
%  The methods for grob and gTree call the generic hook functions
%  \code{preDrawDetails}, \code{drawDetails}, and \code{postDrawDetails}
%  to allow classes derived from grob or gTree to perform
%  additional viewport pushing/popping and produce additional
%  output beyond the default behaviour for grobs and gTrees.
%}
%\value{
%  None.
%}
%\author{Paul Murrell}
%\seealso{
%  \code{\link{grob}}.
%}
%
%\examples{
%grid.newpage()
%## Create a graphical object, but don't draw it
%l <- linesGrob()
%## Draw it
%grid.draw(l)
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%