% File src/library/grid/man/grid.frame.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.frame}
%@%\alias{パック化オブジェクトに対するフレーム}
\alias{grid.frame}
\alias{frameGrob}
\title{パック化オブジェクトに対するフレームを作る}
%\title{ Create a Frame for Packing Objects }
\description{
  これらの関数は，
  \code{grid.pack}, \code{grid.place}, \code{packGrob} そして \code{placeGrob}
  とともにグラフィカルなイメージを構成するための
  GUI 構成子風のインタフェイスの一部分である．
  アイデアはこの関数を使いフレームを作り，それから
  オブジェクトをフレーム中にパックしたり置いたりするために
  \code{grid.pack} や何やらを使うということである．
}
\usage{
grid.frame(layout=NULL, name=NULL, gp=gpar(), vp=NULL, draw=TRUE)
frameGrob(layout=NULL, name=NULL, gp=gpar(), vp=NULL)
}
\arguments{
  \item{layout}{グリッドのレイアウトまたは NULL．
    これはフレームを幾つかの行と列を初期幅と高さで
    初期化するのに使うことが出来る．}
  \item{name}{文字列識別子．}
  \item{vp}{
    クラス \code{viewport} のオブジェクトか NULL．}
  \item{gp}{
    クラス \code{gpar} のオブジェクト；典型的には
    関数 \code{gpar} への呼び出しからの出力．}
\item{draw}{フレームを描画するべきか．}
}
\details{
  どちらの関数もフレーム
  grob (フレームを記述するグラフィカルオブジェクト)を作るが，
  \code{grid.frame()} だけがフレームを描画する
  (そして \code{draw} が \code{TRUE} の時だけ)．
  実際には何も描かれないが，
  フレームをディスプレイリスト上に置かれ，
  それはオブジェクトがフレーム中にパックされるにつれ
  出力が動的に更新されることを意味する．
  デバッグに対しても有用かもしれない．
}
\value{
  フレーム grob．\code{grid.frame()} は値を不可視で返す．
}
\author{ Paul Murrell }
\seealso{
  \code{\link{grid.pack}}
}
\examples{
grid.newpage()
grid.frame(name="gf", draw=TRUE)
grid.pack("gf", rectGrob(gp=gpar(fill="grey")), width=unit(1, "null"))
grid.pack("gf", textGrob("hi there"), side="right")
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.frame.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.frame}
%\alias{grid.frame}
%\alias{frameGrob}
%\title{ Create a Frame for Packing Objects }
%\description{
%  These functions, together with \code{grid.pack},
%  \code{grid.place}, \code{packGrob}, and \code{placeGrob} are part of a
%  GUI-builder-like interface to constructing graphical images.
%  The idea is that you create a frame with this function then
%  use \code{grid.pack} or whatever to pack/place objects into the frame.
%}
%\usage{
%grid.frame(layout=NULL, name=NULL, gp=gpar(), vp=NULL, draw=TRUE)
%frameGrob(layout=NULL, name=NULL, gp=gpar(), vp=NULL)
%}
%\arguments{
%  \item{layout}{ A Grid layout, or NULL. This can be used to initialise
%    the frame with a number of rows and columns, with initial widths
%    and heights, etc. }
%  \item{name}{ A character identifier. }
%  \item{vp}{ An object of class \code{viewport}, or NULL. }
%  \item{gp}{ An object of class \code{gpar};  typically the output from
%    a call to the function \code{gpar}.}
%\item{draw}{ Should the frame be drawn.  }
%}
%\details{
%  Both functions create a frame grob (a graphical object describing a
%  frame), but only \code{grid.frame()}
%  draws the frame (and then only if \code{draw} is \code{TRUE}).
%  Nothing will actually be
%  drawn, but it will put the frame on the display list, which means
%  that the output will be dynamically updated as objects are packed
%  into the frame.  Possibly useful for debugging.
%}
%\value{
%  A frame grob.  \code{grid.frame()} returns the value invisibly.
%}
%\author{ Paul Murrell }
%\seealso{
%  \code{\link{grid.pack}}
%}
%\examples{
%grid.newpage()
%grid.frame(name="gf", draw=TRUE)
%grid.pack("gf", rectGrob(gp=gpar(fill="grey")), width=unit(1, "null"))
%grid.pack("gf", textGrob("hi there"), side="right")
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%