% File src/library/grid/man/grid.newpage.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.newpage}
%@%\alias{新しいページに移動}
\alias{grid.newpage}
\title{グリッドデバイス上の新しいページに移動する}
%\title{Move to a New Page on a Grid Device}
\description{
  この関数は現在のデバイスを消したり新しいページに移動する．
}
\usage{
grid.newpage(recording = TRUE)
}
\arguments{
  \item{recording}{
    新ページ操作をグリッドのディスプレイリスト上に保存すべきかを
    指示する論理値．}
}
\details{
  新しいページは塗りつぶし色で塗られ
  (\code{\link{gpar}("fill")})，それはしばしば透明である．
  \emph{キャンバス}色のデバイス(スクリーン上のデバイス \code{X11},
  \code{windows} そして \code{quartz})に対しては，
  ページは最初キャンバス色でそれから背景色で塗られる．

  \code{"before.grid.newpage"} と
  \code{"grid.newpage"} と呼ばれる二つのフックがある
  (\code{\link{setHook}} を見よ)．
  後者は新しいページの注釈のテストコード中で使われる．
  フック関数は引数無しで呼び出される．
  (もし値が文字列なら，\code{get} は
  \pkg{grid} の名前空間の中からそれに対して呼び出される．)
}
\value{
  無い．
}
\author{Paul Murrell}
\seealso{
  \link{Grid}
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.newpage.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.newpage}
%\alias{grid.newpage}
%\title{Move to a New Page on a Grid Device}
%\description{
%  This function erases the current device or moves to a new page.
%}
%\usage{
%grid.newpage(recording = TRUE)
%}
%\arguments{
%  \item{recording}{A logical value to indicate whether the new-page
%    operation should be saved onto the Grid display list.}
%}
%\details{
%  The new page is painted with the fill colour
%  (\code{\link{gpar}("fill")}), which is often transparent.  For devices
%  with a \emph{canvas} colour (the on-screen devices \code{X11},
%  \code{windows} and \code{quartz}), the page is first painted with the
%  canvas colour and then the background colour.
%
%  There are two hooks called \code{"before.grid.newpage"} and
%  \code{"grid.newpage"} (see \code{\link{setHook}}).  The latter
%  is used in the testing code to annotate the new page.  The hook
%  function(s) are called with no argument.  (If the value is a character
%  string, \code{get} is called on it from within the \pkg{grid}
%  namespace.)
%}
%\value{
%  None.
%}
%\author{Paul Murrell}
%\seealso{
%  \link{Grid}
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%