% File src/library/grid/man/grid.yaxis.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.yaxis}
%@%\alias{y軸を描く}
\alias{grid.yaxis}
\alias{yaxisGrob}
\title{y軸を描く}
%\title{Draw a Y-Axis}
\description{
  これらの関数は y 軸を作り描く．
}
\usage{
grid.yaxis(at = NULL, label = TRUE, main = TRUE,
           edits = NULL, name = NULL,
           gp = gpar(), draw = TRUE, vp = NULL)

yaxisGrob(at = NULL, label = TRUE, main = TRUE,
          edits = NULL, name = NULL,
          gp = gpar(), vp = NULL)
}
\arguments{
  \item{at}{
    チックマークのy値位置の数値ベクトル．}
  \item{label}{
    チックマーク上にラベルを描くかどうかを指示する論理値，または
    使用するラベルを指定する表現式か文字列ベクトル．
    もし論理値でなければ \code{at} 引数と同じ長さでなければならない．}
  \item{main}{
    x軸をビューポートの
    底(\code{TRUE})か上(\code{FALSE})に描くかを指示する論理値．}
  \item{edits}{
    \code{at} が \code{NULL} である限り.
    軸が最初に作られ再描画の過程で
    (軸の子供に)適用される編集操作を含む
    gEdit または gEditList．
    }
  \item{name}{文字列識別子．}
  \item{gp}{
    クラス \code{gpar} のオブジェクトで，典型的には
    関数 \code{gpar} への呼び出しの出力．
    これは典型的にはグラフィカルパラメータ設定のリストである．}
  \item{draw}{
    グラフィックス出力を生成するかどうかを指示する論理値．}
  \item{vp}{グリッドのビューポートオブジェクト(または \code{NULL})．}
}
\details{
  どちらの関数も yaxis grob
  (y 軸を表現するグラフィカルオブジェクト)を作るが，
  \code{grid.yaxis} だけがy軸を描く
  (そして \code{draw} が \code{TRUE} の時だけ)．
}
\value{
  yaxis grob． \code{grid.yaxis} は値を不可視で返す．
}
\section{子供}{
  もしy軸 grob の \code{at} スロットが \code{NULL} で無ければ
  y軸は次の子供を持つ：
  \describe{
    \item{major}{チックマークの基礎にある直線を表現する．}
    \item{ticks}{チックマークを表現する．}
    \item{labels}{チックラベルを表現する．}
  }

  もし \code{at} スロットが \code{NULL} ならば子供は無く
  チックは現在のビューポートのスケールに基づいて描かれる．
}
\author{Paul Murrell}
\seealso{
  \link{Grid},
  \code{\link{viewport}},
  \code{\link{grid.xaxis}}
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.yaxis.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.yaxis}
%\alias{grid.yaxis}
%\alias{yaxisGrob}
%\title{Draw a Y-Axis}
%\description{
%  These functions create and draw a y-axis.
%}
%\usage{
%grid.yaxis(at = NULL, label = TRUE, main = TRUE,
%           edits = NULL, name = NULL,
%           gp = gpar(), draw = TRUE, vp = NULL)
%
%yaxisGrob(at = NULL, label = TRUE, main = TRUE,
%          edits = NULL, name = NULL,
%          gp = gpar(), vp = NULL)
%}
%\arguments{
%  \item{at}{A numeric vector of y-value locations for the tick marks.}
%  \item{label}{A logical value indicating whether to draw the labels
%    on the tick marks, or an expression or character vector which
%    specify the labels to use.  If not logical, must be the same
%    length as the \code{at} argument.}
%  \item{main}{A logical value indicating whether to draw the axis
%    at the left (\code{TRUE}) or at the right (\code{FALSE}) of the
%    viewport.}
%  \item{edits}{A gEdit or gEditList containing edit operations
%    to apply (to the children of the axis)
%    when the axis is first created and during redrawing
%    whenever \code{at} is \code{NULL}.
%    }
%  \item{name}{ A character identifier. }
%  \item{gp}{An object of class \code{gpar}, typically the output
%    from a call to the function \code{gpar}.  This is basically
%    a list of graphical parameter settings.}
%  \item{draw}{A logical value indicating whether graphics output
%    should be produced.}
%  \item{vp}{A Grid viewport object (or \code{NULL}).}
%}
%\details{
%  Both functions create a yaxis grob (a graphical object describing a
%  yaxis), but only \code{grid.yaxis}
%  draws the yaxis (and then only if \code{draw} is \code{TRUE}).
%
%}
%\value{
%  A yaxis grob.  \code{grid.yaxis} returns the value invisibly.
%}
%\section{Children}{
%  If the \code{at} slot of an xaxis grob is not \code{NULL} then
%  the xaxis will have the following children:
%  \describe{
%    \item{major}{ representing the line at the base of the
%    tick marks.}
%    \item{ticks}{representing the tick marks.}
%    \item{labels}{representing the tick labels.}
%  }
%
%  If the \code{at} slot is \code{NULL} then there are no children
%  and ticks are drawn based on the current viewport scale.
%}
%\author{Paul Murrell}
%\seealso{
%  \link{Grid},
%  \code{\link{viewport}},
%  \code{\link{grid.xaxis}}
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%