% File src/library/grid/man/grobX.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grobX}
%@%\alias{grob の境界位置の単位}
\alias{grobX}
\alias{grobY}
\title{grob の境界位置を記述する単位を作る}
%\title{Create a Unit Describing a Grob Boundary Location}
\description{
  これらの関数は grob の境界のある点を記述する単位オブジェクト
  を作る．これらは総称的関数である．
}
\usage{
grobX(x, theta)
grobY(x, theta)
}
\arguments{
  \item{x}{grob または gList または gTree または gPath．}
  \item{theta}{位置が grob 境界のどこにあるかを指示する角度．
    \code{"east"}, \code{"north"}, \code{"west"} または \code{"south"} のどれかで，
    それぞれ角度 0, 90, 180 そして 270 に対応する．}
}
\details{
  角度は反時計回りで，ゼロは
  原点が形状の端点間の中心に位置し3時の方向を指している．

  もし grob が単一の形状を記述していれば，境界値は
  形状の正確な辺に対応する．

  もし grob が複数の形状を記述すれば，境界値は
  grob で記述される全ての形状(複数の矩形，円，xスプライン，またはテキスト)
  のまわりのバウンディングボックスの辺か，
  grob で記述される全ての形状
  (複数の多角形，点，線，複数の線，そして線分)のまわりの凸包に対応する．

  凸包はデータシンボルの\emph{位置}に基づいており
  データシンボルの拡がりを考慮しないため，
  点の grob は現在特殊なケースである．

  任意の矢尻の拡がりは現在考慮\emph{されない}．
}
\value{
  単位オブジェクト．
}
\author{Paul Murrell}
\seealso{
  \code{\link{unit}} と
  \code{\link{grobWidth}}
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grobX.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grobX}
%\alias{grobX}
%\alias{grobY}
%\title{Create a Unit Describing a Grob Boundary Location}
%\description{
%  These functions create a unit object describing a location somewhere
%  on the boundary of
%  a grob.  They are generic.
%}
%\usage{
%grobX(x, theta)
%grobY(x, theta)
%}
%\arguments{
%  \item{x}{A grob, or gList, or gTree, or gPath.}
%  \item{theta}{An angle indicating where the location is
%    on the grob boundary.  Can be one of \code{"east"},
%    \code{"north"}, \code{"west"}, or \code{"south"},
%    which correspond to angles 0, 90, 180, and 270,
%    respectively.}
%}
%\details{
%  The angle is anti-clockwise with zero corresponding to a line
%  with an origin centred between the extreme
%  points of the shape, and pointing at 3 o'clock.
%
%  If the grob describes a single shape, the boundary value should
%  correspond to the exact edge of the shape.
%
%  If the grob describes multiple shapes, the boundary
%  value will either correspond to the edge of a bounding box around all of
%  the shapes described by the grob (for multiple rectangles, circles,
%  xsplines, or text), or to a
%  convex hull around all vertices of all shapes described by the grob
%  (for multiple polygons, points, lines, polylines,
%  and segments).
%
%  Points grobs are currently a special case because the convex hull
%  is based on the data symbol \emph{locations} and does not take
%  into account the extent of the data symbols themselves.
%
%  The extents of any arrow heads are currently \emph{not} taken into account.
%}
%\value{
%  A unit object.
%}
%\author{Paul Murrell}
%\seealso{
%  \code{\link{unit}} and
%  \code{\link{grobWidth}}
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%