% File src/library/grid/man/stringWidth.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{stringWidth}
%@%\alias{文字列の幅と高さ}
\alias{stringWidth}
\alias{stringHeight}
\alias{stringAscent}
\alias{stringDescent}
\title{文字列や数学表現の幅と高さを記述する単位を作る}
%\title{Create a Unit Describing the Width and Height of a String or Math
%  Expression}
\description{
  これらの関数は文字列の幅と高さを記述する単位オブジェクトを作る．
}
\usage{
stringWidth(string)
stringHeight(string)
stringAscent(string)
stringDescent(string)
}
\arguments{
  \item{string}{文字列ベクトルまたは言語オブジェクト
    (\sQuote{\link{plotmath}} の呼び出しに対して使われるような).}
}
\value{
  \code{\link{unit}} オブジェクト．
}
\author{Paul Murrell}
\seealso{
  \code{\link{unit}} と
  \code{\link{grobWidth}}

  計算の背後にある印刷術の概念のより詳細については
  パッケージ \pkg{graphics} 中の \code{strwidth}．
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/stringWidth.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{stringWidth}
%\alias{stringWidth}
%\alias{stringHeight}
%\alias{stringAscent}
%\alias{stringDescent}
%\title{Create a Unit Describing the Width and Height of a String or Math
%  Expression}
%\description{
%  These functions create a unit object describing the width or height of
%  a string.
%}
%\usage{
%stringWidth(string)
%stringHeight(string)
%stringAscent(string)
%stringDescent(string)
%}
%\arguments{
%  \item{string}{A character vector or a language object (as used for
%    \sQuote{\link{plotmath}} calls.}
%}
%\value{
%  A \code{\link{unit}} object.
%}
%\author{Paul Murrell}
%\seealso{
%  \code{\link{unit}} and
%  \code{\link{grobWidth}}
%
%  \code{strwidth} in the \pkg{graphics} package for more details of the
%  typographic concepts behind the computations.
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%