% File src/library/grid/man/unit.pmin.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{unit.pmin}
%@%\alias{単位の並列的な極値
\alias{unit.pmin}
\alias{unit.pmax}
\title{単位の並列的な最小値と最大値}
%\title{ Parallel Unit Minima and Maxima }
\description{
  引数の i 番目の値の i 番目の値が最少(最大)である単位オブジェクトを返す．
}
\usage{
unit.pmin(...)
unit.pmax(...)
}
\arguments{
  \item{\dots}{ひとつまたはそれ以上の単位オブジェクト．}
}
\details{
  結果の長さは引数の長さの最大値である；
  短い引数は通常のようにリサイクルされる．
}
\value{
  単位オブジェクト．
}
\author{ Paul Murrell }
\examples{
max(unit(1:3, "cm"), unit(0.5, "npc"))
unit.pmax(unit(1:3, "cm"), unit(0.5, "npc"))
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/unit.pmin.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{unit.pmin}
%\alias{unit.pmin}
%\alias{unit.pmax}
%\title{ Parallel Unit Minima and Maxima }
%\description{
%  Returns a unit object whose i'th value is the minimum (or maximum)
%  of the i'th values of the arguments.
%}
%\usage{
%unit.pmin(...)
%unit.pmax(...)
%}
%\arguments{
%  \item{\dots}{ One or more unit objects. }
%}
%\details{
%  The length of the result is the maximum of the lengths of the
%  arguments;  shorter arguments are recycled in the usual manner.
%}
%\value{
%  A unit object.
%}
%\author{ Paul Murrell }
%\examples{
%max(unit(1:3, "cm"), unit(0.5, "npc"))
%unit.pmax(unit(1:3, "cm"), unit(0.5, "npc"))
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%