% File src/library/grid/man/unit.rep.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{unit.rep}
%@%\alias{単位オブジェクトの要素の複製}
\alias{unit.rep}
\title{単位オブジェクトの要素を複製する}
%\title{ Replicate Elements of Unit Objects }
\description{
  単位を \code{times} と \code{length.out} 中で与えられた値に
  従い複製する．

  この関数は
  総称的な \code{rep} 関数を優先して廃止予定である．
}
\usage{
unit.rep(x, \dots)
}
\arguments{
  \item{x}{
    クラス \code{"unit"} のオブジェクト．}
  \item{\dots}{
    \code{times} と \code{length.out} のような
    \code{\link{rep}} に渡される引数．}
}
\value{
  クラス \code{"unit"} のオブジェクト．
}
\author{ Paul Murrell }

\seealso{
  \code{\link{rep}}
}

\examples{
rep(unit(1:3, "npc"), 3)
rep(unit(1:3, "npc"), 1:3)
rep(unit(1:3, "npc") + unit(1, "inches"), 3)
rep(max(unit(1:3, "npc") + unit(1, "inches")), 3)
rep(max(unit(1:3, "npc") + unit(1, "strwidth", "a"))*4, 3)
rep(unit(1:3, "npc") + unit(1, "strwidth", "a")*4, 3)
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/unit.rep.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{unit.rep}
%\alias{unit.rep}
%\title{ Replicate Elements of Unit Objects }
%\description{
%  Replicates the units according to the values given in \code{times} and
%  \code{length.out}.
%
%  This function has been deprecated in favour of a unit method for
%  the generic \code{rep} function.
%}
%\usage{
%unit.rep(x, \dots)
%}
%\arguments{
%  \item{x}{ An object of class \code{"unit"}. }
%  \item{\dots}{arguments to be passed to \code{\link{rep}} such as
%    \code{times} and \code{length.out}.}
%}
%\value{
%  An object of class \code{"unit"}.
%}
%\author{ Paul Murrell }
%
%\seealso{
%  \code{\link{rep}}
%}
%
%\examples{
%rep(unit(1:3, "npc"), 3)
%rep(unit(1:3, "npc"), 1:3)
%rep(unit(1:3, "npc") + unit(1, "inches"), 3)
%rep(max(unit(1:3, "npc") + unit(1, "inches")), 3)
%rep(max(unit(1:3, "npc") + unit(1, "strwidth", "a"))*4, 3)
%rep(unit(1:3, "npc") + unit(1, "strwidth", "a")*4, 3)
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%