% File src/library/grid/man/validDetails.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{validDetails}
%@%\alias{grob の検証のカスタム化}
\alias{validDetails}
\title{グリッドの grob の検証のカスタム化}
%\title{ Customising grid grob Validation }
\description{
  この総称的なフック関数は
  グリッドの grob が
  \code{grob}, \code{gTree}, \code{grid.edit} または \code{editGrob}
  を使い作られたり編集される度に呼び出される．
  これは
  grob (または gTree)から導かれた新しいクラスの検証をカスタム化するための
  機会を提供する．
}
\usage{
validDetails(x)
}
\arguments{
  \item{x}{グリッドの grob．}
}
\details{
  この関数は \code{grob}, \code{gTree},
  \code{grid.edit} そして \code{editGrob} により呼び出される．
  grob または gTree から導かれたクラスに対して
  新しいクラスのスロットの値を検証するメソッドが書かれるべきである
  (例えば \code{grid:::validDetails.axis} を見よ)．

  grob と gTree に対する標準的なスロットは自動的に検証される
  (例えば grob に対する \code{vp}, \code{gp} スロットと
  加えて \code{children}，
  そして gTree に対する \code{childrenvp} スロット)
  ので，新しいクラスに固有のスロットだけを扱う必要があることを注意する．
}
\value{
  この関数は検証済みの grob を返さなければならない．
}
\author{ Paul Murrell }
\seealso{ \code{\link{grid.edit}} }
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/validDetails.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{validDetails}
%\alias{validDetails}
%\title{ Customising grid grob Validation }
%\description{
%  This generic hook function is called whenever a grid grob is created
%  or
%  edited
%  via \code{grob}, \code{gTree}, \code{grid.edit} or \code{editGrob}.
%  This provides an opportunity for customising the validation of a
%  new class derived from grob (or gTree).
%}
%\usage{
%validDetails(x)
%}
%\arguments{
%  \item{x}{ A grid grob. }
%}
%\details{
%  This function is called by \code{grob}, \code{gTree},
%  \code{grid.edit} and \code{editGrob}.
%  A method should be written for classes derived from grob or gTree
%  to validate the values of slots specific to the new class.
%  (e.g., see \code{grid:::validDetails.axis}).
%
%  Note that the standard slots for grobs and gTrees are automatically
%  validated (e.g., \code{vp}, \code{gp} slots for grobs and,
%  in addition, \code{children}, and \code{childrenvp} slots for
%  gTrees) so only slots specific to a new class need to be addressed.
%}
%\value{
%  The function MUST return the validated grob.
%}
%\author{ Paul Murrell }
%\seealso{ \code{\link{grid.edit}} }
%\keyword{ dplot }
%
%\encoding{UTF8}
%