% File src/library/splines/man/polySpline.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{polySpline}
%@%\alias{スプラインの区分的多項式表現}
\alias{polySpline}
\alias{as.polySpline}
\title{スプラインの区分的多項式表現}
%\title{Piecewise Polynomial Spline Representation}
\description{
  スプラインオブジェクトの区分的多項式表現を作る．
}
\usage{
polySpline(object, \dots)
as.polySpline(object, \dots)
}
\arguments{
 \item{object}{
   クラス \code{spline} を継承するオブジェクト．}
 \item{\dots}{
   オプションの追加引数．現在追加引数は使われない．}
}
\value{
  クラス \code{polySpline} を継承するオブジェクト．
  これは一変量スプライン関数の区分的多項式表現である．
  これはノットと呼ばれる異なった数値のセットにより定義される．
  スプライン関数はノットの隣り合った各対の間で
  多項式である．
  各内部ノットに於いて両端の多項式は関数値と幾つかのその微分係数
  が一致する様に拘束される．
}
\author{Douglas Bates と Bill Venables}
\seealso{
  \code{\link{interpSpline}},
  \code{\link{periodicSpline}},
  \code{\link{splineKnots}},
  \code{\link{splineOrder}}
}
\examples{
require(graphics)
ispl <- polySpline(interpSpline( weight ~ height,  women, bSpline = TRUE))
print( ispl )   # 区分的多項式表現をプリント
plot( ispl )    # ノットの範囲上でプロット
points( women$height, women$weight )
}
\keyword{ models }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/splines/man/polySpline.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{polySpline}
%\alias{polySpline}
%\alias{as.polySpline}
%\title{Piecewise Polynomial Spline Representation}
%\description{
%  Create the piecewise polynomial representation of a spline object.
%}
%\usage{
%polySpline(object, \dots)
%as.polySpline(object, \dots)
%}
%\arguments{
% \item{object}{An object that inherits from class \code{spline}.}
% \item{\dots}{Optional additional arguments.  At present no additional
%     arguments are used.}
%}
%\value{
%  An object that inherits from class \code{polySpline}.  This is the
%  piecewise polynomial representation of a univariate spline function.
%  It is defined by a set of distinct numeric values called knots.  The
%  spline function is a polynomial function between each successive pair
%  of knots.  At each interior knot the polynomial segments on each side
%  are constrained to have the same value of the function and some of its
%  derivatives.
%}
%\author{Douglas Bates and Bill Venables}
%\seealso{
%  \code{\link{interpSpline}},
%  \code{\link{periodicSpline}},
%  \code{\link{splineKnots}},
%  \code{\link{splineOrder}}
%}
%\examples{
%require(graphics)
%ispl <- polySpline(interpSpline( weight ~ height,  women, bSpline = TRUE))
%print( ispl )   # print the piecewise polynomial representation
%plot( ispl )    # plots over the range of the knots
%points( women$height, women$weight )
%}
%\keyword{ models }
%
%\encoding{UTF8}
%