% File src/library/splines/man/predict.bs.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{predict.bs}
\title{スプラインのベースを評価する}
%\title{Evaluate a Spline Basis}
%@%\alias{スプラインのベースの評価}
\alias{predict.bs}
\alias{predict.ns}
\description{
  予め定義されたスプラインのベースを与えられた値で評価する．
}
\usage{
\method{predict}{bs}(object, newx, \dots)

\method{predict}{ns}(object, newx, \dots)
}
\arguments{
  \item{object}{
    \code{knots}, \code{degree} 等を記述する属性を持つ
    \code{\link{bs}} か \code{\link{ns}} への呼び出しの結果．}
  \item{newx}{
    そこで評価が求められている \code{x} 値．}
  \item{\dots}{
    オプションの追加引数．現在追加引数は使われない．}
}
\value{
  丁度 \code{object} のようなオブジェクトであるが，
  新しい \code{x} の値で評価されている．

  これらは \code{"bs"} か \code{"ns"} を継承するオブジェクトに対する
  総称的関数 \code{\link{predict}} に対するメソッドである．
  この関数の一般的挙動については \code{\link{predict}} を見よ．
}
\seealso{
  \code{\link{bs}}, \code{\link{ns}}, \code{\link{poly}}.
}
\examples{
require(stats)
basis <- ns(women$height, df = 5)
newX <- seq(58, 72, length.out = 51)
# ベースを新しいデータに於いて評価
predict(basis, newX)
}
\keyword{smooth}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/splines/man/predict.bs.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{predict.bs}
%\title{Evaluate a Spline Basis}
%\alias{predict.bs}
%\alias{predict.ns}
%\description{
%  Evaluate a predefined spline basis at given values.
%}
%\usage{
%\method{predict}{bs}(object, newx, \dots)
%
%\method{predict}{ns}(object, newx, \dots)
%}
%\arguments{
%  \item{object}{the result of a call to \code{\link{bs}} or
%    \code{\link{ns}} having attributes describing \code{knots},
%    \code{degree}, etc.}
%  \item{newx}{the \code{x} values at which evaluations are required.}
%  \item{\dots}{Optional additional arguments.  At present no additional
%    arguments are used.}
%}
%\value{
%  An object just like \code{object}, except evaluated at the new values
%  of \code{x}.
%
%  These are methods for the generic function \code{\link{predict}} for
%  objects inheriting from classes \code{"bs"} or \code{"ns"}.  See
%  \code{\link{predict}} for the general behavior of this function.
%}
%\seealso{
%  \code{\link{bs}}, \code{\link{ns}}, \code{\link{poly}}.
%}
%\examples{
%require(stats)
%basis <- ns(women$height, df = 5)
%newX <- seq(58, 72, length.out = 51)
%# evaluate the basis at the new data
%predict(basis, newX)
%}
%\keyword{smooth}
%
%\encoding{UTF8}
%