% File src/library/stats/man/loess.control.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2015 R Core Team
% Distributed under GPL 2 or later

\name{loess.control}
\title{Set Parameters for Loess}
\usage{
loess.control(surface = c("interpolate", "direct"),
              statistics = c("approximate", "exact", "none"),
              trace.hat = c("exact", "approximate"),
              cell = 0.2, iterations = 4, iterTrace = FALSE, \dots)
}
\alias{loess.control}%@%\alias{loess の制御パラメータ設定}
\arguments{
 \item{surface}{当てはめ曲面を正確に
   (\code{"direct"})計算するか，又は
   kd ツリーからの補間を使うか?  短縮化出来る．}
 \item{statistics}{統計量を正確に計算するか，
   近似的か，それとも一切しないか?
   正確な計算は非常に遅いことがある．短縮化出来る．}
 \item{trace.hat}{
    (既定の)ケース \code{(surface = "interpolate", statistics = "approximate")}
    の場合だけ：平滑化行列のトレースを正確に計算するか，または
    近似的に計算するか?
   1000 個以上のデータ点には近似を使うことが勧められる．短縮化出来る．}
 \item{cell}{もし補間が使われるならば，これは kd ツリー中のセル中の
   点の最大数による近似の精度を制御する．
   \code{floor(n*span*cell)} 個以上の点を持つセルは分割される．}
 \item{iterations}{頑健な当てはめ中で使われる繰り返し数，
   つまり \code{family} が \code{"symmetric"} の時だけ．}
 \item{iterTrace}{頑健な繰り返し(\code{iterations}\eqn{\ge 2}{>= 2})
   中にトレース情報を作るかどうかを決める
   論理値(または整数)．}
 \item{\dots}{無視される追加引数．}
}
\description{
  \code{loess} に対する制御パラメータの設定．
}
\value{
  次の成分を持つリスト
  \item{surface}{}
  \item{statistics}{}
  \item{trace.hat}{}
  \item{cell}{}
  \item{iterations}{}
  \item{iterTrace}{}
  意味は\sQuote{引数}節で説明されている．
}
\seealso{\code{\link{loess}}}
\keyword{smooth}
\keyword{loess}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/loess.control.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{loess.control}
%\title{Set Parameters for Loess}
%\usage{
%loess.control(surface = c("interpolate", "direct"),
%              statistics = c("approximate", "exact", "none"),
%              trace.hat = c("exact", "approximate"),
%              cell = 0.2, iterations = 4, iterTrace = FALSE, \dots)
%}
%\alias{loess.control}
%\arguments{
% \item{surface}{should the fitted surface be computed exactly
%   (\code{"direct"}) or via interpolation from a kd tree?  Can be abbreviated.}
% \item{statistics}{should the statistics be computed exactly,
%   approximately or not at all?  Exact computation can be very slow.
%   Can be abbreviated.}
% \item{trace.hat}{Only for the (default) case \code{(surface =
%     "interpolate", statistics = "approximate")}: should the trace of
%   the smoother matrix be computed exactly or approximately?  It is recommended to use the approximation
%   for more than about 1000 data points.  Can be abbreviated.}
% \item{cell}{if interpolation is used this controls the accuracy of the
%   approximation via the maximum number of points in a  cell in the kd
%   tree. Cells with more than \code{floor(n*span*cell)} points are subdivided.}
% \item{iterations}{the number of iterations used in robust fitting,
%   i.e. only if \code{family} is \code{"symmetric"}.}
% \item{iterTrace}{logical (or integer) determining if tracing
%   information during the robust iterations (\code{iterations}\eqn{\ge
%     2}{>= 2}) is produced.}
% \item{\dots}{further arguments which are ignored.}
%}
%\description{
%  Set control parameters for \code{loess} fits.
%}
%\value{
%  A list with components
%  \item{surface}{}
%  \item{statistics}{}
%  \item{trace.hat}{}
%  \item{cell}{}
%  \item{iterations}{}
%  \item{iterTrace}{}
%  with meanings as explained under \sQuote{Arguments}.
%}
%\seealso{\code{\link{loess}}}
%\keyword{smooth}
%\keyword{loess}
%
%\encoding{UTF-8}
%
