% File src/library/stats/man/print.ts.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{print.ts}
\title{Printing and Formatting of Time-Series Objects}
%\alias{format.ts}
\alias{.preformat.ts}
\alias{print.ts}%@%\alias{時系列オブジェクトのプリント・整形}
\description{
  特にカレンダーに関連した時系列オブジェクト用で，
  年，月，それぞれ そして/又は 四半期を
  示す \code{\link{format}} と \code{\link{print}} メソッド．
}
\usage{
\method{print}{ts}(x, calendar, \dots)
.preformat.ts(x, calendar, \dots)
}
\arguments{
  \item{x}{時系列オブジェクト．}
  \item{calendar}{
    プリント時に月名，四半期名，又は年に関する情報の表示を
    有効/無効にする．
    既定は周期 4 か 12 では \code{TRUE}で，さもなければ \code{FALSE}．}
  \item{\dots}{
    \code{\link{print}} (又は \code{\link{format}} メソッドに対する
    追加引数．}
}
\details{
  もし \code{calendar} が偽ならば，\code{"ts"} オブジェクトに対する
  \code{\link{print}} メソッドはヘッダー
  (基本的に \code{\link{tsp}(x)} の)をプリントし，
  それから
  \code{.preformat.ts(x, *)} の結果をプリントする．
  これは典型的に適用可能ならカレンダー時間から
  構築された行名を持つ行列である．
}
\seealso{
  \code{\link{print}},
  \code{\link{ts}}.
}
\examples{
print(ts(1:10, frequency = 7, start = c(12, 2)), calendar = TRUE)

print(sunsp.1 <- window(sunspot.month, end=c(1756, 12)))
m <- .preformat.ts(sunsp.1) # 文字列行列
}
\keyword{ts}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/print.ts.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{print.ts}
%\title{Printing and Formatting of Time-Series Objects}
%%\alias{format.ts}
%\alias{.preformat.ts}
%\alias{print.ts}
%\description{
%  Notably for calendar related time series objects,  
%  \code{\link{format}} and \code{\link{print}} methods showing years,
%  months and or quarters respectively.
%}
%\usage{
%\method{print}{ts}(x, calendar, \dots)
%.preformat.ts(x, calendar, \dots)
%}
%\arguments{
%  \item{x}{a time series object.}
%  \item{calendar}{enable/disable the display of information about
%    month names, quarter names or year when printing.  The default is
%    \code{TRUE} for a frequency of 4 or 12, \code{FALSE} otherwise.}
%  \item{\dots}{additional arguments to \code{\link{print}} (or
%    \code{\link{format}} methods).}
%}
%\details{
%  The \code{\link{print}} method for \code{"ts"} objects prints a
%  header (basically of \code{\link{tsp}(x)}), if \code{calendar} is
%  false, and then prints the result of \code{.preformat.ts(x, *)}, which
%  is typically a \code{\link{matrix}} with \code{\link{rownames}} built
%  from the calendar times where applicable.
%}
%\seealso{
%  \code{\link{print}},
%  \code{\link{ts}}.
%}
%\examples{
%print(ts(1:10, frequency = 7, start = c(12, 2)), calendar = TRUE)
%
%print(sunsp.1 <- window(sunspot.month, end=c(1756, 12)))
%m <- .preformat.ts(sunsp.1) # a character matrix
%}
%\keyword{ts}
%
%\encoding{UTF-8}
%
