% File src/library/stats/man/relevel.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007, 2016 R Core Team
% Distributed under GPL 2 or later

\name{relevel}
\alias{relevel}%@%\alias{因子の水準を並べ替える}
\alias{relevel.default}
\alias{relevel.factor}
\alias{relevel.ordered}
\title{Reorder Levels of Factor}
\usage{
relevel(x, ref, \dots)
}
\arguments{
  \item{x}{順序の付かない因子．}
  \item{ref}{参照水準，典型的に文字列．}
  \item{\dots}{将来のメソッド用の追加引数．}
}
\description{
    因子の水準を
    \code{ref} で指定されたものが最初でその他が繰り下がるように並べ替える．
    これは最初の水準を参照用に使う \code{contr.treatment} 対比
    に対して有用である．
}
\value{
  \code{x} と同じ長さの因子．
}
\details{
  これは \code{\link{reorder}()} と同様に単に
  \code{\link{factor}(x, levels = levels(x)[....])}
  を呼び出す特殊例である．
}
\seealso{
  \code{\link{factor}}, \code{\link{contr.treatment}},
  \code{\link{levels}}, \code{\link{reorder}}.
}

\examples{
warpbreaks$tension <- relevel(warpbreaks$tension, ref = "M")
summary(lm(breaks ~ wool + tension, data = warpbreaks))
}
\keyword{utilities}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/relevel.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007, 2016 R Core Team
%% Distributed under GPL 2 or later
%
%\name{relevel}
%\alias{relevel}
%\alias{relevel.default}
%\alias{relevel.factor}
%\alias{relevel.ordered}
%\title{Reorder Levels of Factor}
%\usage{
%relevel(x, ref, \dots)
%}
%\arguments{
%  \item{x}{an unordered factor.}
%  \item{ref}{the reference level, typically a string.}
%  \item{\dots}{additional arguments for future methods.}
%}
%\description{
%    The levels of a factor are re-ordered so that the level specified by
%    \code{ref} is first and the others are moved down. This is useful
%    for \code{contr.treatment} contrasts which take the first level as
%    the reference.
%}
%\value{
%  A factor of the same length as \code{x}.
%}
%\details{
%  This, as \code{\link{reorder}()}, is a special case of simply calling
%  \code{\link{factor}(x, levels = levels(x)[....])}.
%}
%\seealso{
%  \code{\link{factor}}, \code{\link{contr.treatment}},
%  \code{\link{levels}}, \code{\link{reorder}}.
%}
%
%\examples{
%warpbreaks$tension <- relevel(warpbreaks$tension, ref = "M")
%summary(lm(breaks ~ wool + tension, data = warpbreaks))
%}
%\keyword{utilities}
%\keyword{models}
%
%\encoding{UTF-8}
%
