% File src/library/stats/man/fitted.values.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{weights}
\alias{weights}%@%\alias{モデルの重みの取り出し}
\alias{weights.default}

\title{Extract Model Weights}
\usage{
weights(object, \dots)
}
\arguments{
  \item{object}{モデルの重みの取り出しが意味を持つオブジェクト．}
  \item{\dots}{メソッドに渡される他の引数．}
}
\description{
  \code{weights} は総称的関数でモデリング関数から返された
  オブジェクトから当てはめ重みを取り出す．

  メソッドは欠損値の取り去りを相殺するため
  \code{\link{napredict}} メソッドを使うことが出来る．
  既定メソッドはそれを行う．
}
\value{
  オブジェクト \code{object} から取り出した重み：
  既定メソッドは
  \code{"weights"} 成分を探し，そして \code{NULL} で
  なければそれに \code{\link{napredict}} を呼び出す．
}
\references{
  Chambers, J. M. and Hastie, T. J. (1992)
  \emph{Statistical Models in S}.
  Wadsworth & Brooks/Cole.
}
\seealso{
  \code{\link{weights.glm}}
}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/fitted.values.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{weights}
%\alias{weights}
%\alias{weights.default}
%
%\title{Extract Model Weights}
%\usage{
%weights(object, \dots)
%}
%\arguments{
%  \item{object}{an object for which the extraction of model weights is
%    meaningful.}
%  \item{\dots}{other arguments passed to methods.}
%}
%\description{
%  \code{weights} is a generic function which extracts fitting weights from
%  objects returned by modeling functions.
%
%  Methods can make use of \code{\link{napredict}} methods to compensate
%  for the omission of missing values.  The default methods does so.
%}
%\value{
%  Weights extracted from the object \code{object}: the default method
%  looks for component \code{"weights"} and if not \code{NULL} calls
%  \code{\link{napredict}} on it.
%}
%\references{
%  Chambers, J. M. and Hastie, T. J. (1992)
%  \emph{Statistical Models in S}.
%  Wadsworth & Brooks/Cole.
%}
%\seealso{
%  \code{\link{weights.glm}}
%}
%\keyword{models}
%
%\encoding{UTF-8}
%
