% File src/library/stats4/man/mle-class.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{mle-class}
\docType{class}
%%\title{Class \code{"mle"} for Results of Maximum Likelihood Estimation}
\title{最尤推定クラス}
\alias{mle-class}
\alias{nobs,mle-method}
\description{このクラスは総称的な最尤法の結果を要約する．}
\section{クラスからのオブジェクト}{
  オブジェクトは
  形式 \code{new("mle", \dots)} の呼び出しで作ることができるが，
  最もしばしば \code{\link{mle}} の呼び出しの結果として得られる．
}
\section{スロット}{
  \describe{
    \item{\code{call}:}{
      クラス \code{"language"} のオブジェクト．
      \code{\link{mle}} への呼び出し．}
    \item{\code{coef}:}{
    Object of class
      クラス \code{"numeric"} のオブジェクト．推定パラメータ．}
    \item{\code{fullcoef}:}{
      クラス \code{"numeric"} のオブジェクト．固定と推定パラメータ．}
    \item{\code{vcov}:}{
      Object of class
      クラス \code{"matrix"} のオブジェクト．近似分散共分散行列．}
    \item{\code{min}:}{
      クラス \code{"numeric"} のオブジェクト．目的関数の最小値．}
    \item{\code{details}:}{
      \code{\link{optim}} が返すような \code{"\link{list}"}．}
    \item{\code{minuslogl}:}{
      クラス \code{"function"} のオブジェクト．負の尤度関数．}
    \item{\code{nobs}:}{
      長さ 1 の \code{"\link{integer}"}．
      観測値数(呼び出しで正確に設定されなければしばしば \code{NA})．}
    \item{\code{method}:}{
      クラス \code{"character"} のオブジェクト．使われた最適化手法．}
  }
}
\section{メソッド}{
  \describe{
    \item{confint}{\code{signature(object = "mle")}：
      尤度プロファイルからの信頼区間．}
    \item{logLik}{\code{signature(object = "mle")}：
      とり出された最大対数尤度．}
    \item{profile}{\code{signature(fitted = "mle")}：
      尤度プロファイル生成．}
    \item{nobs}{\code{signature(object = "mle")}：
      観測値数で，ここでは
      単に上で述べた \code{nobs} スロットにアクセスする．}
    \item{show}{\code{signature(object = "mle")}：
      オブジェクトを簡略に表示．}
    \item{summary}{\code{signature(object = "mle")}：
      オブジェクトの要約を生成する．}
    \item{update}{\code{signature(object = "mle")}：当てはめを更新．}
    \item{vcov}{\code{signature(object = "mle")}：
      分散共分散行列を取り出す．}
  }
}
\keyword{classes}
\encoding{UTF-8}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats4/man/mle-class.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{mle-class}
%\docType{class}
%\title{Class \code{"mle"} for Results of Maximum Likelihood Estimation}
%\alias{mle-class}
%\alias{nobs,mle-method}
%\description{This class encapsulates results of a generic maximum
%  likelihood procedure.}
%\section{Objects from the Class}{
%  Objects can be created by calls of the form \code{new("mle", \dots)}, but
%  most often as the result of a call to \code{\link{mle}}.
%}
%\section{Slots}{
%  \describe{
%    \item{\code{call}:}{Object of class \code{"language"}.
%      The call to \code{\link{mle}}.}
%    \item{\code{coef}:}{Object of class \code{"numeric"}.  Estimated
%      parameters.}
%    \item{\code{fullcoef}:}{Object of class \code{"numeric"}.
%      Fixed and estimated parameters.}
%    \item{\code{vcov}:}{Object of class \code{"matrix"}.  Approximate
%      variance-covariance matrix.}
%    \item{\code{min}:}{Object of class \code{"numeric"}.  Minimum value
%      of objective function.}
%    \item{\code{details}:}{a \code{"\link{list}"}, as returned from
%      \code{\link{optim}}.}
%    \item{\code{minuslogl}:}{Object of class \code{"function"}.  The
%      negative loglikelihood function.}
%    \item{\code{nobs}:}{\code{"\link{integer}"} of length one.  The
%      number of observations (often \code{NA}, when not set in call
%      explicitly).}
%    \item{\code{method}:}{Object of class \code{"character"}.  The
%      optimization method used.}
%  }
%}
%\section{Methods}{
%  \describe{
%    \item{confint}{\code{signature(object = "mle")}: Confidence
%      intervals from likelihood profiles.}
%    \item{logLik}{\code{signature(object = "mle")}: Extract maximized
%      log-likelihood.}
%    \item{profile}{\code{signature(fitted = "mle")}: Likelihood profile
%      generation.}
%    \item{nobs}{\code{signature(object = "mle")}: Number of
%      observations, here simply accessing the \code{nobs} slot mentioned above.}
%    \item{show}{\code{signature(object = "mle")}: Display object briefly.}
%    \item{summary}{\code{signature(object = "mle")}: Generate object summary.}
%    \item{update}{\code{signature(object = "mle")}:  Update fit.}
%    \item{vcov}{\code{signature(object = "mle")}: Extract
%      variance-covariance matrix.}
%  }
%}
%\keyword{classes}
%