% File src/library/tcltk/man/tclServiceMode.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{tclServiceMode}
%@%\alias{Tcl のイベントサービス}
\alias{tclServiceMode}
\title{Tcl のイベントのサービスをするかどうか}
%\title{ Allow Tcl events to be serviced or not }
\description{
この関数は Tcl のサービスモードを制御したり報告したりする，
つまり Tcl がイベントに対応するかどうか．
}
\usage{
tclServiceMode(on = NULL)
}
\arguments{
  \item{on}{(論理値) イベントサービスをオンにするかどうか．}
}
\details{
  もし \code{on == NULL} (既定)で呼び出されると何も変更は怒らない．

  これは他のパッケージからのウィジェットを含み
  全ての Tcl/Tk の行動をブロックすることを注意する．
  ウィンドウのマッピングを個別に処理するほうがよいかもしれない．
}
\value{
呼び出し前の Tcl のサービスモード．
}
\examples{
## 例えば demo(tkcanvas) を見よ
\dontrun{
oldmode <- tclServiceMode(FALSE)
# 格好の良い図を作る作業をする．
# 次が実行されるまで何も起きない...
tclServiceMode(oldmode)
}
## 別のアイデアは tkwm.withdraw() ... tkwm.deiconify() を使う
}
\keyword{ misc }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tcltk/man/tclServiceMode.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{tclServiceMode}
%\alias{tclServiceMode}
%\title{ Allow Tcl events to be serviced or not }
%\description{
%This function controls or reports on the Tcl service mode,
%i.e., whether Tcl will respond to events.
%}
%\usage{
%tclServiceMode(on = NULL)
%}
%\arguments{
%  \item{on}{(logical) Whether event servicing is turned on. }
%}
%\details{
%  If called with \code{on == NULL} (the default), no change is made.
%
%  Note that this blocks all Tcl/Tk activity, including for widgets from
%  other packages.  It may be better to manage mapping of windows individually.
%}
%\value{
%The value of the Tcl service mode before the call.
%}
%\examples{
%## see demo(tkcanvas) for an example
%\dontrun{
%oldmode <- tclServiceMode(FALSE)
%# Do some work to create a nice picture.
%# Nothing will be displayed until...
%tclServiceMode(oldmode)
%}
%## another idea is to use tkwm.withdraw() ... tkwm.deiconify()
%}
%\keyword{ misc }
%
%\encoding{UTF8}
%