% File src/library/tcltk/man/tcltk-defunct.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{tcltk-defunct}
%------ NOTE:  ../R/tcltk-defunct.R   must be synchronized with this!
%@%\alias{パッケージ tcltk の廃止関数}
\alias{tcltk-defunct}
\alias{$.tclvar}
\alias{$<-.tclvar}
\alias{tkcmd}
\alias{tkfile.tail}
\alias{tkfile.dir}
\alias{tkopen}
\alias{tkclose}
\alias{tkputs}
\alias{tkread}

\title{パッケージ \pkg{tcltk} の廃止された関数}
%\title{Defunct Functions in Package \pkg{tcltk}}
\description{
  ここで挙げられた関数と変数は(すでに)不要であり
  最早 \R の一部ではない．
}
\usage{
tkcmd(...)

tkfile.tail(...)
tkfile.dir(...)
tkopen(...)
tkclose(...)
tkputs(...)
tkread(...)
}
\arguments{
  \item{\dots}{\code{.Tcl.args} により処理される}
}
\details{
  \R 2.0.0 で \code{tkcmd} は \code{tcl} に改名された．
  ファイル命令は
  \code{tkopen}, \code{tkclose} 等であったが，しかし
  \code{open} と \code{close} は
  Tk ツールキットに属さないため，好ましい名前は今では
  \code{tclopen} 等である．

  クラス \code{"tclvar"} に対する
  \code{$} メソッドは
  \code{\link{tclVar}} と \code{\link{tclvalue}} を優先するため廃止予定であった．
}
\seealso{
  \code{\link{Defunct}}
}
\keyword{internal}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tcltk/man/tcltk-defunct.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{tcltk-defunct}
%%------ NOTE:  ../R/tcltk-defunct.R   must be synchronized with this!
%\alias{tcltk-defunct}
%\alias{$.tclvar}
%\alias{$<-.tclvar}
%\alias{tkcmd}
%\alias{tkfile.tail}
%\alias{tkfile.dir}
%\alias{tkopen}
%\alias{tkclose}
%\alias{tkputs}
%\alias{tkread}
%
%\title{Defunct Functions in Package \pkg{tcltk}}
%\description{
%  The functions or variables listed here are no longer part of \R as
%  they are not needed (any more).
%}
%\usage{
%tkcmd(...)
%
%tkfile.tail(...)
%tkfile.dir(...)
%tkopen(...)
%tkclose(...)
%tkputs(...)
%tkread(...)
%}
%\arguments{
%  \item{\dots}{Handled via \code{.Tcl.args}}
%}
%\details{
%  At \R 2.0.0, \code{tkcmd} was renamed to \code{tcl}.  The
%  file commands used to be \code{tkopen}, \code{tkclose}, etc., but
%  since \code{open} and \code{close} do not belong to the Tk toolkit,
%  the preferred names are now \code{tclopen}, etc.
%
%  The \code{$} methods for class \code{"tclvar"} have been deprecated in
%  favour of \code{\link{tclVar}} and \code{\link{tclvalue}}.
%}
%\seealso{
%  \code{\link{Defunct}}
%}
%\keyword{internal}
%
%\encoding{UTF8}
%