% File src/library/tools/man/checkTnF.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{checkTnF}
%@%\alias{パッケージやコード中の T/F のチェック}
\alias{checkTnF}
\alias{print.checkTnF}
\title{R パッケージやコード中の T/F のチェック}
%\title{Check R Packages or Code for T/F}
\description{
  指定された R パッケージやコードファイルに
  \code{T} や \code{F} があるかどうかをチェックし，これらを含む表現式を集める．
  R では \code{T} と \code{F} は既定で
  \code{TRUE} と \code{FALSE} に設定される単なる変数であるが，
  予約語ではなくユーザが書き換えることが出来るため有用である．
  従って，論理値には常に
  \code{TRUE} と \code{FALSE} を使うべきである．
}
\usage{
checkTnF(package, dir, file, lib.loc = NULL)
}
\arguments{
  \item{package}{インストール済みのパッケージの名前を与える文字列．
    もし与えられると，インストールされている R コードとパッケージの
    ドキュメントファイル中の例がチェックされる．
    イメージファイルとしてインストールされている R コードはチェックできない．}
  \item{dir}{
    パッケージのルートソースディレクトリへのパスを指定する文字列．
    これは副ディレクトリ \file{R} (R コード用)を含むべきであり，
    また \file{man} (ドキュメント用)を含むべきである．
    \code{package} が与えられない時だけ使われる．もし使われると，
    ドキュメントファイル中の R コードファイルがチェックされる．}
  \item{file}{
    チェックされるべき R コードを含むファイル名．
    \code{package} も \code{dir} も与えられない時使われる．}
  \item{lib.loc}{
    \R ライブラリのディレクトリ名の文字列ベクトル，又は
    \code{NULL}．
    既定値の \code{NULL} は現在知られている全てのライブラリに対応する．
    指定されたライブラリツリーは
    \code{package} を探すために使われる．}
}
\value{
  クラス \code{"checkTnF"} のオブジェクトで，例えば
  \code{T} や \code{F} の存在が見つかった各ファイルに対する
  それらの生起を含む表現式を含むリストである．
  リストの名前は対応するファイル名である．

  そうしたオブジェクトに含まれる情報を見栄え良く表示する
  \code{print} メソッドがある．
}
\keyword{utilities}
\keyword{documentation}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/checkTnF.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{checkTnF}
%\alias{checkTnF}
%\alias{print.checkTnF}
%\title{Check R Packages or Code for T/F}
%\description{
%  Checks the specified R package or code file for occurrences of
%  \code{T} or \code{F}, and gathers the expression containing these.
%  This is useful as in R \code{T} and \code{F} are just variables which
%  are set to the logicals \code{TRUE} and \code{FALSE} by default, but
%  are not reserved words and hence can be overwritten by the user.
%  Hence, one should always use \code{TRUE} and \code{FALSE} for the
%  logicals.
%}
%\usage{
%checkTnF(package, dir, file, lib.loc = NULL)
%}
%\arguments{
%  \item{package}{a character string naming an installed package.  If
%    given, the installed R code and the examples in the documentation
%    files of the package are checked.  R code installed as an image file
%    cannot be checked.}
%  \item{dir}{a character string specifying the path to a package's root
%    source directory.  This must contain the subdirectory \file{R} (for
%    R code), and should also contain \file{man} (for documentation).
%    Only used if \code{package} is not given.  If used, the R code files
%    and the examples in the documentation files are checked.}
%  \item{file}{the name of a file containing R code to be checked.  Used
%    if neither \code{package} nor \code{dir} are given.}
%  \item{lib.loc}{a character vector of directory names of \R libraries,
%    or \code{NULL}.  The default value of \code{NULL} corresponds to all
%    libraries currently known.  The specified library trees are used to
%    search for \code{package}.}
%}
%\value{
%  An object of class \code{"checkTnF"} which is a list containing, for
%  each file where occurrences of \code{T} or \code{F} were found, a list
%  with the expressions containing these occurrences.  The names of the
%  list are the corresponding file names.
%
%  There is a \code{print} method for nicely displaying the information
%  contained in such objects.
%}
%\keyword{utilities}
%\keyword{documentation}
%
%\encoding{UTF8}
%