% File src/library/tools/man/read.00Index.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2010 R Core Team
% Distributed under GPL 2 or later

\name{read.00Index}
%@%\alias{00Index ファイルの読み取り}
\alias{read.00Index}
%\title{Read 00Index-style Files}
\title{00Index スタイルのファイルを読み取る}
\description{
  \file{00Index} 風のファイルから項目/記述情報を読み取る．
  そうしたファイルは表形式に表現された記述のリストであり，
  現在アドオンパッケージの
  \file{INDEX} と \file{demo/00Index} ファイルに対して使われる．
}
\usage{
read.00Index(file)
}
\arguments{
  \item{file}{
    データ値をそこから読み取るファイルの名前．
    もし指定ファイルが \code{""} ならば，入力はキーボードから
    取られる(この場合入力は空白行で終了できる)．
    もしくは \code{file} は \code{\link{connection}} で良く，
    これはもし必要なら開かれ，そしてもしそうであれば
    関数呼び出しの最後に閉じられる．}
}
\value{
  項目と説明を持つ
  \code{"Item"} と \code{"Description"} という名前の二つの
  列を持つ文字行列．
}
\seealso{
  項目とそれらの記述から 00Index スタイルのファイルを作る
  逆操作に対しては \code{\link{formatDL}}．
}
\keyword{file}
\keyword{connection}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/read.00Index.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{read.00Index}
%\alias{read.00Index}
%\title{Read 00Index-style Files}
%\description{
%  Read item/description information from \file{00Index}-like files.  Such
%  files are description lists rendered in tabular form, and currently
%  used for the \file{INDEX} and \file{demo/00Index} files of add-on
%  packages.
%}
%\usage{
%read.00Index(file)
%}
%\arguments{
%  \item{file}{the name of a file to read data values from.  If the
%    specified file is \code{""}, then input is taken from the keyboard
%    (in this case input can be terminated by a blank line).
%    Alternatively, \code{file} can be a \code{\link{connection}}, which
%    will be opened if necessary, and if so closed at the end of the
%    function call.}
%}
%\value{
%  A character matrix with 2 columns named \code{"Item"} and
%  \code{"Description"} which hold the items and descriptions.
%}
%\seealso{
%  \code{\link{formatDL}} for the inverse operation of creating a
%  00Index-style file from items and their descriptions.
%}
%\keyword{file}
%\keyword{connection}
%
%\encoding{UTF8}
%