% File src/library/tools/man/vignetteDepends.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2015 R Core Team
% Distributed under GPL 2 or later

\name{vignetteDepends}
%@%\alias{ビニエットの従属性情報}
\alias{vignetteDepends}
\title{ビニエットに対する従属性情報を検索する}
%\title{ Retrieve Dependency Information for a Vignette}
\description{
  ビニエット名前を与えて
  ビニエットが依存するパッケージに関する情報を報告する
  \code{DependsList} オブジェクトを作る．
}
\usage{
vignetteDepends(vignette, recursive = TRUE, reduce = TRUE,
                local = TRUE, lib.loc = NULL)
}
\arguments{
  \item{vignette}{ビニエットソースへのパス．}
  \item{recursive}{間接的な従属性を含めるべきか．}
  \item{reduce}{全ての従属性のセットを最少の値へ縮小すべきか．}
  \item{local}{ローカルにだけ探索すべきか．}
  \item{lib.loc}{どのライブラリをローカルに探索すべきか．}
}
\details{
  もし \code{recursive} が \code{TRUE} なら，従属すると指定された任意の
  パッケージは次にそれに従属するものを含む
  (そして云々)，これらは間接的な従属性と呼ばれる．,
  もし \code{recursive} が \code{FALSE} なら，ビニエットにより直接
  名指されている従属性だけが使われる．

  もし \code{local} が \code{TRUE} なら，システムは
  ユーザのローカルな機械だけを調べ，オンラインでは従属性を
  調べない．

  もし \code{reduce} が \code{TRUE} なら，システムは
  \code{DependsList} オブジェクト中の欄を縮小し
  従属性の最少セットが指定されるようにする
  (例えばもし \samp{foo, foo (>= 1.0.0), foo (>= 1.3.0)} があれば，
  \samp{foo (>= 1.3.0)} だけが返される．
}
\value{
  クラス \code{"DependsList"} のオブジェクト．
}
\author{ Jeff Gentry }
\seealso{\code{\link{pkgDepends}}}
\examples{\donttest{
## これは lattice を必要とするのでインストールされないかもしれない
gridEx <- system.file("doc", "grid.Rnw", package = "grid")
vignetteDepends(gridEx)
}}
\keyword{utilities}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/vignetteDepends.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{vignetteDepends}
%\alias{vignetteDepends}
%\title{
%  Retrieve Dependency Information for a Vignette}
%\description{
%  Given a vignette name, will create a \code{DependsList} object that
%  reports information about the packages the vignette depends on.
%}
%\usage{
%vignetteDepends(vignette, recursive = TRUE, reduce = TRUE,
%                local = TRUE, lib.loc = NULL)
%}
%\arguments{
%  \item{vignette}{The path to the vignette source}
%  \item{recursive}{Whether or not to include indirect dependencies}
%  \item{reduce}{Whether or not to collapse all sets of dependencies to a
%    minimal value}
%  \item{local}{Whether or not to search only locally}
%  \item{lib.loc}{What libraries to search in locally}
%}
%\details{
%  If \code{recursive} is \code{TRUE}, any package that is specified as a
%  dependency will in turn have its dependencies included (and so on),
%  these are known as indirect dependencies.  If recursive is
%  \code{FALSE}, only the dependencies directly named by the vignette
%  will be used.
%
%  If \code{local} is \code{TRUE}, the system will only look at the
%  user's local machine and not online to find dependencies.
%
%  If \code{reduce} is \code{TRUE}, the system will collapse the fields in the
%  \code{DependsList} object such that a minimal set of dependencies
%  are specified (for instance if there was
%  \samp{foo, foo (>= 1.0.0), foo (>= 1.3.0}, it would only return
%  \samp{foo (>= 1.3.0)}).
%}
%\value{
%  An object of class \code{"DependsList"}.
%}
%\author{ Jeff Gentry }
%\seealso{\code{\link{pkgDepends}}}
%\examples{\donttest{
%## This may not be installed, as it requires lattice
%gridEx <- system.file("doc", "grid.Rnw", package = "grid")
%vignetteDepends(gridEx)
%}}
%\keyword{utilities}
%
%\encoding{UTF8}
%